Skip to content
Documentation sections

Get multiple shipments

POST /public/shipments/search on the Shipment Management API. Base URL: https://api.sinay.ai/safecube/api/v1.

Endpoint that searchs for shipments in the web application and returns the public shipment link.

Request body

application/json, required.

FieldTypeRequiredDescription
shipmentNumbersarray of stringYes—

Responses

Body: application/json, object.

FieldTypeRequiredDescription
resultsarray of objectNo—
results[].idstring (uuid)NoThe shipment uuid is a unique identifier of the shipment in your application. This field can be reused as an input for the DELETE /shipments endpoint.
results[].shipmentNumberstringNoThe shipment number is a container number, Booking number or Bill of Lading number.
results[].sealinestringNoThe SCAC code is a 4 letters code that is used to identify a sealine. Find all supported sealines in the supported sealines guide.
results[].sealineNamestringNoFull text sealine name.
results[].linkstring (uri)NoShipment public sharing link. Share it with someone to show him all the shipment data, without any login needed. It can also be used for iframe integration.
notFoundResultsarray of stringNoIf you search for a shipment that does not exist in your web application, it will appear in this list.

Example response body:

{
  "results": [
    {
      "id": "55aa63de-f8f6-41ac-a105-4f3bfb015bea",
      "shipmentNumber": "GCXU5630216",
      "sealine": "COSU",
      "sealineName": "COSCO",
      "link": "https://app.safecube.ai/shared/shipment?token=85070eb8-1387-47cb-be2e-f05323ebab45"
    }
  ],
  "notFoundResults": []
}

No body.